// AudioSourceListener.cpp: implementation of the AudioSourceListener class.
//
//////////////////////////////////////////////////////////////////////

#include "AudioSourceListener.h"
#ifdef WIN32
#include <windows.h>
#else
#include "cpLog.h"
#include <unistd.h>
#endif
#include <stdio.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AudioSourceListener::AudioSourceListener()
{

}

AudioSourceListener::~AudioSourceListener()
{

}

int
AudioSourceListener::TakeNextAudioSample(AudioSample *pAudioSample, AudioSource *audioSource)
{
	char errorMsg[100];
	sprintf(errorMsg, "AudioSourceListener:%x::TakeNextAudioSample : ERROR : pure virtual function call !!!\n", this);
#ifdef WIN32
	OutputDebugString(errorMsg);
	Sleep(5000);
#else
        cpLog(LOG_DEBUG, (errorMsg));
        sleep(5000);
#endif
	return 0;
}
