// Limiter.h: interface for the Limiter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_LIMITER_H__C28D3E02_7C66_4F9E_8A7D_5CFABAC0D830__INCLUDED_
#define AFX_LIMITER_H__C28D3E02_7C66_4F9E_8A7D_5CFABAC0D830__INCLUDED_

#include "AudioTransformer.h"

class VolumeLimiter;

class Limiter : public AudioTransformer  
{
public:
	Limiter(double threshold, double lossIncrement, double lossDecrement);
	int SetParameters(double threshold, double lossIncrement, double lossDecrement);
	virtual ~Limiter();
	int SetTraceLevel();
protected:
	int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	VolumeLimiter *volumeLimiter;
};

#endif // !defined(AFX_LIMITER_H__C28D3E02_7C66_4F9E_8A7D_5CFABAC0D830__INCLUDED_)
