// PCM2G723Transformer.h: interface for the PCM2G723Transformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_PCM2G723TRANSFORMER_H__96B46883_390E_438E_B3F7_93A9CF85E00B__INCLUDED_
#define AFX_PCM2G723TRANSFORMER_H__96B46883_390E_438E_B3F7_93A9CF85E00B__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G723Codec.h"
#include "AudioSample.h"

class PCM2G723Transformer : public AudioTransformer  
{
public:
	PCM2G723Transformer();
	virtual ~PCM2G723Transformer();
	int SetRate53();
	int SetRate63();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G723Codec g723Codec;
};

#endif // !defined(AFX_PCM2G723TRANSFORMER_H__96B46883_390E_438E_B3F7_93A9CF85E00B__INCLUDED_)
