#ifndef STRINGHASH_HXX
#define STRINGHASH_HXX

static const char* const StringHash_hxx_Version = "$Id: StringHash.hxx,v 1.6.4.1 2003/03/01 00:42:17 sprajpat Exp $";

#include "global.h"
#include <string>

#if defined(__GNUC__) && (__GNUC__ < 3) || defined(__INTEL_COMPILER)
#include <hash_map>
#else
#include <ext/hash_map>
#endif

class StringHash
{
    public:
        unsigned long int operator() ( const Data& src ) const
        {
            hash < const char* > a;
            return ( a(src.c_str()) );
        }
};

#endif // STRINGHASH_HXX
