// FIRTransformer.h: interface for the FIRTransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_FIRTRANSFORMER_H__0C8C323B_24C0_4C40_BA81_C99589FC289B__INCLUDED_
#define AFX_FIRTRANSFORMER_H__0C8C323B_24C0_4C40_BA81_C99589FC289B__INCLUDED_

#include "AudioTransformer.h"
#include "FIRFilter.h"

class FIRTransformer : public AudioTransformer
{
public:
	FIRTransformer();
	virtual ~FIRTransformer();
	int SetCoefficients(double *coeffs, int numCoeffs, int sampleSize);
	int SetTraceLevel();
protected:
	int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	void *firFilter;
	int sampleSize;
};

#endif // !defined(AFX_FIRTRANSFORMER_H__0C8C323B_24C0_4C40_BA81_C99589FC289B__INCLUDED_)
