// G7112PCMTransformer.h: interface for the G7112PCMTransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_G7112PCMTRANSFORMER_H__C63B53FA_0A75_46CB_B533_3B43466B6113__INCLUDED_
#define AFX_G7112PCMTRANSFORMER_H__C63B53FA_0A75_46CB_B533_3B43466B6113__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G711Codec.h"
#include "AudioSample.h"

class G7112PCMTransformer : public AudioTransformer  
{
public:
	G7112PCMTransformer();
	virtual ~G7112PCMTransformer();
	int SetALaw();
	int SetULaw();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G711Codec g711Codec;

};

#endif // !defined(AFX_G7112PCMTRANSFORMER_H__C63B53FA_0A75_46CB_B533_3B43466B6113__INCLUDED_)
