// G729A2PCMTransformer.h: interface for the G729A2PCMTransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_G729A2PCMTRANSFORMER_H__8A9D3687_C1AD_41B8_8690_EB65DEA34B88__INCLUDED_
#define AFX_G729A2PCMTRANSFORMER_H__8A9D3687_C1AD_41B8_8690_EB65DEA34B88__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G729Codec.h"
#include "AudioSample.h"

class G729A2PCMTransformer : public AudioTransformer  
{
public:
	G729A2PCMTransformer();
	virtual ~G729A2PCMTransformer();
	int StartTransform();
	int StopTransform();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G729Codec g729Codec;
};

#endif // !defined(AFX_G729A2PCMTRANSFORMER_H__8A9D3687_C1AD_41B8_8690_EB65DEA34B88__INCLUDED_)
