// PCM2G729ATransformer.h: interface for the PCM2G729ATransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_PCM2G729ATRANSFORMER_H__80620C1E_29AE_42C6_AD97_00E0FC2E0CDA__INCLUDED_
#define AFX_PCM2G729ATRANSFORMER_H__80620C1E_29AE_42C6_AD97_00E0FC2E0CDA__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G729Codec.h"
#include "AudioSample.h"

class PCM2G729ATransformer : public AudioTransformer  
{
public:
	PCM2G729ATransformer();
	virtual ~PCM2G729ATransformer();
	int StartTransform();
	int StopTransform();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G729Codec g729Codec;
};

#endif // !defined(AFX_PCM2G729ATRANSFORMER_H__80620C1E_29AE_42C6_AD97_00E0FC2E0CDA__INCLUDED_)
