// Parameters.h: default values/parameters for MTC.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_PARAMETERS_H__468A3455_6131_492F_BC6E_3E2421486061__INCLUDED_
#define AFX_PARAMETERS_H__468A3455_6131_492F_BC6E_3E2421486061__INCLUDED_

#define DEFAULT_AUDIOSAMPLE_BUFFERSIZE			3200	// 0.1 sec of audio at 16bit 16kHz PCM mono
#define DEFAULT_SAMPLE_DURATION					20

// WaveAudioSource
#define WAVESOURCE_NUM_WAVEHDR					6
#define WAVESOURCE_MAX_WAVEHDR					30
#define WAVESOURCE_DEFAULT_WAVEHDR_SIZE			320
#define WAVESOURCE_MAX_WAVEHDR_SIZE				DEFAULT_AUDIOSAMPLE_BUFFERSIZE

// WaveAudioSink
#define WAVESINK_NUM_WAVEHDR					6
#define WAVESINK_MAX_WAVEHDR					30
#define WAVESINK_MAX_WAVEHDR_SIZE				DEFAULT_AUDIOSAMPLE_BUFFERSIZE
#define WAVESINK_DEFAULT_WAVEHDR_SIZE			320

// RTPAudioSource
#define RTPAUDIOSOURCE_RECEIVEBUFFER_SIZE		1024

// WaveFileSource
#define WAVEFILESOURCE_DEFAULT_BUFFERDURATION	DEFAULT_SAMPLE_DURATION

// ACMTransformer
#define ACMTRANSFORMER_MAX_SOURCEBUFFERSIZE		16000
#define ACMTRANSFORMER_MAX_DESTBUFFERSIZE		16000
#define ACMTRANSFORMER_OUTPUTBUFFERSIZE			16000

// RTP Input Jitter Buffer
#define	DEFAULT_JITTERBUFFER_SIZE				100		// in milliseconds
#define	DEFAULT_JITTERBUFFER_OUTPUTDURATION		DEFAULT_SAMPLE_DURATION
#define JITTERBUFFER_PLC_MAXREPEATS				5
#define JITTERBUFFER_MAXSIZE_MULTIPLE			10		// max size of jitterbuffer as multiple of jitterbuffersize

#endif // !defined(AFX_PARAMETERS_H__468A3455_6131_492F_BC6E_3E2421486061__INCLUDED_)
