package org.vovida.prov.psLib;

class DoubleArrayAssignment extends Assignment
{
    DoubleArrayAssignment(Field field,
		       BaseField value)
    {
	super(field, value);
    }

    void set(DoubleArrayField value)
    {
	this.value = value;
    }

    void set(double[] value)
    {
	this.value = new Constant(value);
    }

    void set(java.util.List value)
    {
	this.value = new Constant(value);
    }
}
