package org.vovida.prov.psLib;

class IntArrayAssignment extends Assignment
{
    IntArrayAssignment(Field field,
		       BaseField value)
    {
	super(field, value);
    }

    void set(IntArrayField value)
    {
	this.value = value;
    }

    void set(int[] value)
    {
	this.value = new Constant(value);
    }

    void set(java.util.List value)
    {
	this.value = new Constant(value);
    }
}
