# Environment variables needed by the Redirect Server to communicate
# with the Provisioning Server.
setenv VPS_PORT 6005
setenv VLISTENER_PORT 6006
setenv VLOG_LEVEL 7
setenv VPS_SERVER 127.0.0.1

# Location of the provisioning data on your local machine.
# Obtain example files from the Provisioning team.
# Once added you may need to do the following to force the files to sync correctly:
# cd /usr/local
# chattr +S -R /usr/local/provisioning_data
setenv VCONFIG_DIR /usr/local/provisioning_data/provisioning_files/Config
setenv VLOG_FILE_NAME /usr/local/provisioning_data/provisioning_files/Logs/pserver_log
setenv VPS_FILESYSTEM /usr/local/provisioning_data/provisioning_files

# Environment variable needed for the Provisioning Server GUI
#setenv CLASSPATH $HOME/dev/vovida/provisioning/java/lib/psClient.jar
